<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<h3 class="content-header">
    {{$ctrl.operation.label}}
</h3>
<div class="content-body">
    <p class="text-muted">{{$ctrl.operation.description}}</p>
    <!-- -->
    <form name="$ctrl.form" ng-submit="$ctrl.submit()">
        <div atomic-operation="$ctrl.operation.name" ng-model="$ctrl.operation.args"></div>
        <div ng-show="$ctrl.operation.configurable">
            <button type="submit" class="btn btn-sm btn-primary">Enregistrer</button>
            <button type="button" class="btn btn-sm btn-default" ng-click="closeThisDialog()">Annuler</button>
        </div>
    </form>
</div>
